Get activity log entry
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-staging.keystoneos.xyz/v1/activity/{log_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-staging.keystoneos.xyz/v1/activity/{log_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api-staging.keystoneos.xyz/v1/activity/{log_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"category": "<string>",
"severity": "<string>",
"description": "<string>",
"actor_type": "<string>",
"actor_id": "<string>",
"resource_type": "<string>",
"resource_id": "<string>",
"method": "<string>",
"path": "<string>",
"status_code": 123,
"ip_address": "<string>",
"user_agent": "<string>",
"duration_ms": 123,
"detail": null,
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Activity
Get activity log entry
Retrieve a single activity log entry by ID. Entries outside the caller’s visible environments are reported as not found.
GET
/
v1
/
activity
/
{log_id}
Get activity log entry
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-staging.keystoneos.xyz/v1/activity/{log_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-staging.keystoneos.xyz/v1/activity/{log_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api-staging.keystoneos.xyz/v1/activity/{log_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"category": "<string>",
"severity": "<string>",
"description": "<string>",
"actor_type": "<string>",
"actor_id": "<string>",
"resource_type": "<string>",
"resource_id": "<string>",
"method": "<string>",
"path": "<string>",
"status_code": 123,
"ip_address": "<string>",
"user_agent": "<string>",
"duration_ms": 123,
"detail": null,
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Auth0 JWT access token. See Authentication for details.
Path Parameters
Response
Successful Response